## camel-filter-search

camel-filter-search

## Synopsis

    CamelMimeMessage *  (*CamelFilterSearchGetMessageFunc)  (gpointer data,
                                                             CamelException *ex);
    gint                camel_filter_search_match           (CamelSession *session,
                                                             CamelFilterSearchGetMessageFunc get_message,
                                                             gpointer data,
                                                             CamelMessageInfo *info,
                                                             const gchar *source,
                                                             const gchar *expression,
                                                             CamelException *ex);

## Description

## Details

### CamelFilterSearchGetMessageFunc ()

    CamelMimeMessage *  (*CamelFilterSearchGetMessageFunc)  (gpointer data,
                                                             CamelException *ex);

`data` : |
`ex` : |
Returns : |

### camel_filter_search_match ()

    gint                camel_filter_search_match           (CamelSession *session,
                                                             CamelFilterSearchGetMessageFunc get_message,
                                                             gpointer data,
                                                             CamelMessageInfo *info,
                                                             const gchar *source,
                                                             const gchar *expression,
                                                             CamelException *ex);

`session` : |
`get_message` : | function to retrieve the message if necessary
`data` : | data for above
`info` : |
`source` : |
`expression` : |
`ex` : |
Returns : | one of CAMEL_SEARCH_MATCHED, CAMEL_SEARCH_NOMATCH, or CAMEL_SEARCH_ERROR.